Debian Bug report logs - #458419
PATCH: speed up Kopete history search, add support for MSN voice clips

version graph

Package: kopete; Maintainer for kopete is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kopete is src:kopete.

Reported by: "Simon Ruggier" <simon80@gmail.com>

Date: Mon, 31 Dec 2007 06:21:02 UTC

Severity: normal

Tags: patch

Found in version kdenetwork/4:3.5.8-1

Fixed in version kdenetwork/4:3.5.10-1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#458419; Package kopete. Full text and rfc822 format available.

Acknowledgement sent to "Simon Ruggier" <simon80@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Simon Ruggier" <simon80@gmail.com>
To: submit@bugs.debian.org
Subject: PATCH: speed up Kopete history search, add support for MSN voice clips
Date: Mon, 31 Dec 2007 01:20:24 -0500
[Message part 1 (text/plain, inline)]
Package: kopete
Version: 4:3.5.8-1
Tags: patch

The kopete history plugin has a function to search the chat history
for a string.  Unfortunately, it is wastefully and unusably slow, and
it searches the XML in the history logs, not just the message text.  A
while ago, I wrote a patch to fix this, but upstream might not make
any more releases of Kopete 3.5, so I'm submitting it to Debian.  I've
attached a debdiff with several patches added, and I'd appreciate it
someone would review them and upload an updated package. If there's
anything in the code that is unclear, feel free to ask me questions.

The voice clips patch adds support for receiving voice clips, but
delegates support for decoding them to external software, which
currently doesn't have any support for the format, even though free
source code for decoding it exists in aMSN.  However, I run Kopete on
my system with the patch applied, and I thought others might find it
useful as well, so I included it in the debdiff.

The changelog entry is below:

kdenetwork (4:3.5.8-2) unstable; urgency=low

  * 24_kopete_history_search.diff: rewrite history search algorithm so that it
    doesn't block the event loop, displays results before the search is
    finished, and doesn't waste cpu time searching files multiple times.
    (see KDE #141566, #143549, #148649)
  * 25_kopete_latexconvert_bashism.diff: fix a bashism in kopete latex
    conversion script that breaks the KopeTeX plugin. (Closes: #444475, KDE
    #135997)
  * 26_kopete_msn_voiceclips.diff: Add support for receiving MSN voice clips.
    (see KDE #115150)

 -- Simon Ruggier <Simon80@gmail.com>  Sun, 30 Dec 2007 22:54:19 -0500

Relevant URLs:
History search:
http://bugs.kde.org/show_bug.cgi?id=148659
http://bugs.kde.org/show_bug.cgi?id=141566
http://bugs.kde.org/show_bug.cgi?id=143549
KopeTex Bashism:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444475
https://bugs.kde.org/show_bug.cgi?id=135997
MSN voice clips:
http://bugs.kde.org/show_bug.cgi?id=115150
[kdenetwork_3.5.8-2.debdiff (application/octet-stream, attachment)]

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Thu, 09 Oct 2008 15:00:03 GMT) Full text and rfc822 format available.

Notification sent to "Simon Ruggier" <simon80@gmail.com>:
Bug acknowledged by developer. (Thu, 09 Oct 2008 15:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 458419-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 458419-close@bugs.debian.org
Subject: Bug#458419: fixed in kdenetwork 4:3.5.10-1
Date: Thu, 09 Oct 2008 14:47:08 +0000
Source: kdenetwork
Source-Version: 4:3.5.10-1

We believe that the bug you reported is fixed in the latest version of
kdenetwork, which is due to be installed in the Debian FTP archive:

dcoprss_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/dcoprss_3.5.10-1_i386.deb
kdenetwork-dbg_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdenetwork-dbg_3.5.10-1_i386.deb
kdenetwork-dev_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdenetwork-dev_3.5.10-1_i386.deb
kdenetwork-doc-html_3.5.10-1_all.deb
  to pool/main/k/kdenetwork/kdenetwork-doc-html_3.5.10-1_all.deb
kdenetwork-filesharing_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdenetwork-filesharing_3.5.10-1_i386.deb
kdenetwork-kfile-plugins_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdenetwork-kfile-plugins_3.5.10-1_i386.deb
kdenetwork_3.5.10-1.diff.gz
  to pool/main/k/kdenetwork/kdenetwork_3.5.10-1.diff.gz
kdenetwork_3.5.10-1.dsc
  to pool/main/k/kdenetwork/kdenetwork_3.5.10-1.dsc
kdenetwork_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdenetwork_3.5.10-1_i386.deb
kdenetwork_3.5.10.orig.tar.gz
  to pool/main/k/kdenetwork/kdenetwork_3.5.10.orig.tar.gz
kdict_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdict_3.5.10-1_i386.deb
kdnssd_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kdnssd_3.5.10-1_i386.deb
kget_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kget_3.5.10-1_i386.deb
knewsticker_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/knewsticker_3.5.10-1_i386.deb
kopete_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kopete_3.5.10-1_i386.deb
kpf_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kpf_3.5.10-1_i386.deb
kppp_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kppp_3.5.10-1_i386.deb
krdc_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/krdc_3.5.10-1_i386.deb
krfb_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/krfb_3.5.10-1_i386.deb
ksirc_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/ksirc_3.5.10-1_i386.deb
ktalkd_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/ktalkd_3.5.10-1_i386.deb
kwifimanager_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/kwifimanager_3.5.10-1_i386.deb
librss1_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/librss1_3.5.10-1_i386.deb
lisa_3.5.10-1_i386.deb
  to pool/main/k/kdenetwork/lisa_3.5.10-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458419@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated kdenetwork package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Oct 2008 15:24:02 +0200
Source: kdenetwork
Binary: kdenetwork dcoprss kdenetwork-doc-html kdenetwork-kfile-plugins kdenetwork-filesharing kdict kget knewsticker kopete kpf kppp krdc krfb ksirc ktalkd kwifimanager librss1 kdenetwork-dev lisa kdnssd kdenetwork-dbg
Architecture: source all i386
Version: 4:3.5.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 dcoprss    - RSS utilities for KDE
 kdenetwork - network-related apps from the official KDE release
 kdenetwork-dbg - debugging symbols for kdenetwork
 kdenetwork-dev - development files for the KDE network module
 kdenetwork-doc-html - KDE network documentation in HTML format
 kdenetwork-filesharing - network filesharing configuration module for KDE
 kdenetwork-kfile-plugins - torrent metainfo plugin for KDE
 kdict      - dictionary client for KDE
 kdnssd     - Zeroconf support for KDE
 kget       - download manager for KDE
 knewsticker - news ticker applet for KDE
 kopete     - instant messenger for KDE
 kpf        - public fileserver for KDE
 kppp       - modem dialer and ppp frontend for KDE
 krdc       - Remote Desktop Connection for KDE
 krfb       - Desktop Sharing for KDE
 ksirc      - IRC client for KDE
 ktalkd     - talk daemon for KDE
 kwifimanager - wireless lan manager for KDE
 librss1    - RSS library for KDE
 lisa       - LAN information server for KDE
Closes: 458419 500711
Changes: 
 kdenetwork (4:3.5.10-1) unstable; urgency=low
 .
   * New upstream release.
     + Some changes were already provided by the patches:
       - 01_kdenetwork_branch_r825626.diff
       - 25_update_destop_files.diff
       - 27_kopete_icq_update.diff
       that have been removed now.
     + New changes:
       - Fix slowness in history searching for kopete.
         Upstream bug: 148659, SVN: r828859. (Closes: #458419)
       - Fix for kpf: fix the transparency and remove the frame border
         in the file server applet. Upstream SVN:r845361.
       - Fix in kopete: Protocols aren't always in Plugins group even if they
         are loaded because they are loaded automatically so they should be
         ignored. Upstream bug: 167113, SVN: r167113.
   * kdenetwork metapackage is now Arch: any so we can make it not depend
     on kwifimanager when installed in s390. And not depend on kwifimanager and
     kdnssd in non-linux arches. (Closes: #500711)
Checksums-Sha1: 
 2b779437f4b9483264195162fc9e7891d3bcdfe4 1967 kdenetwork_3.5.10-1.dsc
 965af9cf2d79812a68485aa3392fe8fc8d97b797 11742711 kdenetwork_3.5.10.orig.tar.gz
 d826d01753f87bfa90a952f2b1ab462995c4b221 374755 kdenetwork_3.5.10-1.diff.gz
 e582ca3b12ef9a675665541f23f6e05c8b7e305b 220322 kdenetwork-doc-html_3.5.10-1_all.deb
 df1230011944fc4fa58f70d0e45050cdbbca6304 18958 kdenetwork_3.5.10-1_i386.deb
 499ad5373f8c5e8a7850fd15e6a03363d4039eb3 81002 dcoprss_3.5.10-1_i386.deb
 6c631c3cc3a83c7a092973be3738076c4c886e38 43492 kdenetwork-kfile-plugins_3.5.10-1_i386.deb
 c435fc60f5c331ffdc981c1f2c28a73261b73978 678896 kdenetwork-filesharing_3.5.10-1_i386.deb
 75756e5ae245cc19b968fa1966c24425b1ac6b82 307128 kdict_3.5.10-1_i386.deb
 f86c43e45a7948cac19d4024d8856a84c9885d8c 445070 kget_3.5.10-1_i386.deb
 e99a4fa066e95da4028537081c22353fc4a16617 453420 knewsticker_3.5.10-1_i386.deb
 3de17f075c17dca692932058df6aa6917051834e 7615434 kopete_3.5.10-1_i386.deb
 98ac07d669625ba367fbcc1905a8f4048e72a54a 202064 kpf_3.5.10-1_i386.deb
 c1d0b54988cb0d5b262a194b4e0f2307a3a79708 684630 kppp_3.5.10-1_i386.deb
 75dd25377351546eec66031e4690ea5f98df6ead 507600 krdc_3.5.10-1_i386.deb
 3cce104a110b9dcf5ac9a36c9949600a991c17c9 948780 krfb_3.5.10-1_i386.deb
 4e8ae918f1532b3112bac875384b0b4f387fe005 747166 ksirc_3.5.10-1_i386.deb
 c8a52cd343fc1fa851de6e55600677ffe794e532 140400 ktalkd_3.5.10-1_i386.deb
 e0c5ee91ae1523336be0912674e0d4017180bd64 237308 kwifimanager_3.5.10-1_i386.deb
 a2acdb93337194091eb96b5be5d3fe151b8d072e 48120 librss1_3.5.10-1_i386.deb
 80316e857fef3944a4ab446f7d3f4bc414dd4c20 102872 kdenetwork-dev_3.5.10-1_i386.deb
 91c1e3c98115fff5db6996cd3266bcbda426b5ef 170136 lisa_3.5.10-1_i386.deb
 6a376eef229ac6401325fc06a701ca65e658d9cf 55092 kdnssd_3.5.10-1_i386.deb
 722395859c1ebffabe8ea5006574fe379276bcff 23142122 kdenetwork-dbg_3.5.10-1_i386.deb
Checksums-Sha256: 
 0de99fb7ad8ebd106c1a1e440ef2eedde2abf204c755b196356a12d313be0cb0 1967 kdenetwork_3.5.10-1.dsc
 4c12511d9c3185b86ff8f158f442be61c518e021070caf250a280b23cbfa7889 11742711 kdenetwork_3.5.10.orig.tar.gz
 6f3b5a57fbcb50092c29fae067ce26f8d89c989faf1f3a3ec6010a25d45d7d6e 374755 kdenetwork_3.5.10-1.diff.gz
 afc74f311a69f95a7b3ac93950d344801305dd32569f976d7d195f5ab90e8ed5 220322 kdenetwork-doc-html_3.5.10-1_all.deb
 5c033482e245d76844171c8a135da423e1dba9efbe1e8c2961765e8184604582 18958 kdenetwork_3.5.10-1_i386.deb
 e2db6802e3768d44bbd6e694c9ce5a2fcaa74a97ade048fc421e32ef01e7d3f0 81002 dcoprss_3.5.10-1_i386.deb
 d7d9814cf3d90f8cd4c66b1551bca8640a67972b91eae01ddf2b542c8db15377 43492 kdenetwork-kfile-plugins_3.5.10-1_i386.deb
 ef6c7c6a4a0ac258f6f876a61ef5b86e254954bfff0bd481fce56e0d0ef37dba 678896 kdenetwork-filesharing_3.5.10-1_i386.deb
 f41def5f01af7ed2130d42974c7c6a2aed5381e9a2b36aa58b7f8361aa260647 307128 kdict_3.5.10-1_i386.deb
 eb905b1a7695aa5fe191a4a70193fbc078f953ce5247ca1cb490e1af89a8ec60 445070 kget_3.5.10-1_i386.deb
 59fda06ddf255369db42beb9a327af155a722b58d5b8f00cf5a03d60028aaf19 453420 knewsticker_3.5.10-1_i386.deb
 4c6a299bab0ffc807437b03dad84a4978a4d81e2bfbb065ced4b7c48c32cb9f6 7615434 kopete_3.5.10-1_i386.deb
 69323d73b7fa8f77e004b36e678e6d24b41a1d31d06622cdf1f6164da3742f24 202064 kpf_3.5.10-1_i386.deb
 2d78b9a3e6d3d00c5cb32112991926383817efe0192ff85f1932169b18ac38df 684630 kppp_3.5.10-1_i386.deb
 e6ff9cf632bde20f8ca7cebe470827f28c9bc2dc5774353a220a219f682ee33c 507600 krdc_3.5.10-1_i386.deb
 251b739c07d2a09c0bc8412bbf7daac1f91815d84e7b4e71e26fc668d8c781db 948780 krfb_3.5.10-1_i386.deb
 064454cc03aa50db3359851a94fff5009baa8bc462a8f1c4707de3a9ce1972cb 747166 ksirc_3.5.10-1_i386.deb
 c401409eecaf46ee917fd32f1d512a04c2a2ccb4a14f24385d2dd0743229ccd4 140400 ktalkd_3.5.10-1_i386.deb
 981274d8964dfc6c9cd26990fa8824b6399abe66cd7a2fe8189ba1c805f9d056 237308 kwifimanager_3.5.10-1_i386.deb
 0cb3f4990ef56fbb1fccfc5e32e1fca99154fab470ff807e35089a04814ec098 48120 librss1_3.5.10-1_i386.deb
 ba6645578f3869b3499275f11439f61fad2be65da535f97049086a7893612888 102872 kdenetwork-dev_3.5.10-1_i386.deb
 9706a6efb01085c4cc7f5b90571f75974d5629486acd67227f26c5650383b4b3 170136 lisa_3.5.10-1_i386.deb
 bf6675925913b5c83058cee24da80c9f92621df640c622de918105efe3b086d6 55092 kdnssd_3.5.10-1_i386.deb
 2d1fc2416c0c31e512fb1f4b9efcfe23949e5e64a6f002ef46d6e8f91fcbe8bd 23142122 kdenetwork-dbg_3.5.10-1_i386.deb
Files: 
 06c9ace442ad369edadac0f09f495a3e 1967 kde optional kdenetwork_3.5.10-1.dsc
 d0f7f30be8c4c8b8be4b17914a11928a 11742711 kde optional kdenetwork_3.5.10.orig.tar.gz
 fdf04fd040034f9d2b83741130907423 374755 kde optional kdenetwork_3.5.10-1.diff.gz
 fd3e3a712f779d85765bb9293746bc08 220322 doc optional kdenetwork-doc-html_3.5.10-1_all.deb
 53148b0eef2d4cc51eb49c449e4d2862 18958 kde optional kdenetwork_3.5.10-1_i386.deb
 f0d4216acdee041a4270ece559facc11 81002 net optional dcoprss_3.5.10-1_i386.deb
 7d8ed2f6dc039244dd9f157969676dea 43492 kde optional kdenetwork-kfile-plugins_3.5.10-1_i386.deb
 d4a4ccbbd084910c74af595aba2057c3 678896 net optional kdenetwork-filesharing_3.5.10-1_i386.deb
 35c939f38127af2ed2843ebdf6d98891 307128 net optional kdict_3.5.10-1_i386.deb
 94cc81a7dbbc308e98e9809382b9b755 445070 net optional kget_3.5.10-1_i386.deb
 3cb41d02ab640af692823a3308ac6c8e 453420 kde optional knewsticker_3.5.10-1_i386.deb
 7a154008643557381aa5dddcb3947301 7615434 kde optional kopete_3.5.10-1_i386.deb
 c41035eb04df602802f6f67e7cc40770 202064 net optional kpf_3.5.10-1_i386.deb
 28f1adae3f7f69059cea5790fd49ad28 684630 net optional kppp_3.5.10-1_i386.deb
 cc36463ed8d89b9df98cb1b38d2460a1 507600 net optional krdc_3.5.10-1_i386.deb
 f23261ee291226fb09a2a273971c134f 948780 net optional krfb_3.5.10-1_i386.deb
 3ca43e0ac1acacb7f151c4b5282ccab7 747166 net optional ksirc_3.5.10-1_i386.deb
 1cc430f10070ce99e2813c4911327cbc 140400 net extra ktalkd_3.5.10-1_i386.deb
 51e05573f3bd65b90ba379753d93abda 237308 net optional kwifimanager_3.5.10-1_i386.deb
 e1adbf6ed23bbb5edc7fdea4f7c1a315 48120 libs optional librss1_3.5.10-1_i386.deb
 875be93912b192e679da952afff9fba5 102872 devel optional kdenetwork-dev_3.5.10-1_i386.deb
 e428a134759de45b43be4bdf5c6ddd7c 170136 net optional lisa_3.5.10-1_i386.deb
 a3a5758ec2ec2b2d3c4657521662a3a0 55092 net optional kdnssd_3.5.10-1_i386.deb
 5ef3d52877b62ac9c8db86c1edea5077 23142122 libdevel extra kdenetwork-dbg_3.5.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Signed by Ana Guerrero

iEYEARECAAYFAkjuGr8ACgkQn3j4POjENGEi7ACggtD3Uz6oLdYTAn1D8u61hhkF
QAMAn1gQ1X4BRsWhicugBJD012HFFhfK
=JuCg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Jan 2009 07:25:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:25:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.